### A free/open-source library for quantitative finance

Protected Member Functions
OptionletVolatilityStructure Class Reference

Optionlet (caplet/floorlet) volatility structure. More...

`#include <ql/termstructures/volatility/optionlet/optionletvolatilitystructure.hpp>`

Inheritance diagram for OptionletVolatilityStructure:
[legend]

List of all members.

## Public Member Functions

Constructors
See the TermStructure documentation for issues regarding constructors.
| OptionletVolatilityStructure (const Calendar &cal, BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| OptionletVolatilityStructure (BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| default constructor
| OptionletVolatilityStructure (const Date &referenceDate, const Calendar &cal, BusinessDayConvention bdc, const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| OptionletVolatilityStructure (Natural settlementDays, const Calendar &, BusinessDayConvention bdc, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
Volatility and Variance
Volatility | volatility (const Period &optionTenor, Rate strike, bool extrapolate=false) const
| returns the volatility for a given option tenor and strike rate
Volatility | volatility (const Date &optionDate, Rate strike, bool extrapolate=false) const
| returns the volatility for a given option date and strike rate
Volatility | volatility (Time optionTime, Rate strike, bool extrapolate=false) const
| returns the volatility for a given option time and strike rate
Real | blackVariance (const Period &optionTenor, Rate strike, bool extrapolate=false) const
| returns the Black variance for a given option tenor and strike rate
Real | blackVariance (const Date &optionDate, Rate strike, bool extrapolate=false) const
| returns the Black variance for a given option date and strike rate
Real | blackVariance (Time optionTime, Rate strike, bool extrapolate=false) const
| returns the Black variance for a given option time and strike rate
boost::shared_ptr< SmileSection > | smileSection (const Period &optionTenor, bool extr=false) const
| returns the smile for a given option tenor
boost::shared_ptr< SmileSection > | smileSection (const Date &optionDate, bool extr=false) const
| returns the smile for a given option date
boost::shared_ptr< SmileSection > | smileSection (Time optionTime, bool extr=false) const
| returns the smile for a given option time

## Protected Member Functions

virtual boost::shared_ptr < SmileSection > | smileSectionImpl (const Date &optionDate) const
virtual boost::shared_ptr < SmileSection > | smileSectionImpl (Time optionTime) const =0
| implements the actual smile calculation in derived classes
Volatility | volatilityImpl (const Date &optionDate, Rate strike) const
virtual Volatility | volatilityImpl (Time optionTime, Rate strike) const =0
| implements the actual volatility calculation in derived classes

## Detailed Description

Optionlet (caplet/floorlet) volatility structure.

This class is purely abstract and defines the interface of concrete structures which will be derived from this one.

## Constructor & Destructor Documentation

OptionletVolatilityStructure | ( | const Calendar & | cal,
|  | BusinessDayConvention | bdc = `Following`,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.

OptionletVolatilityStructure | ( | BusinessDayConvention | bdc = `Following`,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

default constructor

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.